Bug 445085 - Review Request: jcommon-serializer - JFree Java General Serialization Framework
Review Request: jcommon-serializer - JFree Java General Serialization Framework
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-03 07:59 EDT by Caolan McNamara
Modified: 2008-05-06 14:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 14:59:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
loganjerry: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2008-05-03 07:59:12 EDT
Spec URL: http://people.redhat.com/caolanm/jfreereport/jcommon-serializer.spec
SRPM URL: http://people.redhat.com/caolanm/jfreereport/jcommon-serializer-0.2.0-1.fc9.src.rpm
Description: JFree Java General Serialization Framework

A build requirement for jfreereport and so OOo 3.0
Comment 1 Jerry James 2008-05-05 19:03:25 EDT
That was sneaky putting me on the CC list. :-)  I'll take it.
Comment 2 Jerry James 2008-05-05 19:32:43 EDT
Have you considered including ChangeLog.txt in %doc?  Also, it seems weird to
have the javadocs in %{_javadocdir}/jcommon-serializer/javadoc.  Can you change
this line in %install:

cp -rp javadoc $RPM_BUILD_ROOT%{_javadocdir}/%{name}

to this?

cp -rp javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

MUST:
- rpmlint output is empty except for:
$ rpmlint jcommon-serializer-javadoc
jcommon-serializer-javadoc.prescott: W: non-standard-group Development/Documentation
- package name: OK
- spec file name: OK
- packaging guidelines: OK
- license: OK
- license file in %doc: OK
- spec file in American English: OK
- spec file is legible: OK
- sources match upstream: OK
- builds on one architecture: OK (i386)
- use of ExcludeArch: OK
- all dependencies in BuildRequires: OK
- locales handled properly: OK
- proper use of ldconfig: OK
- relocatable package: OK
- owns all directories it creates: FAIL, to fix replace this %files line:
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
with this line:
%attr(-,root,root) %{_libdir}/gcj/%{name}
- no duplicate files: OK
- permissions: OK
- %clean section: OK
- consistent use of macros: OK
- code or permissible content: OK
- large documentation in -doc: OK
- nothing in %doc needed at runtime: OK
- header files in -devel: OK
- static libraries in -static: OK
- require pkgconfig if needed: OK
- .so files in -devel: OK
- devel packages require base: OK
- no libtool archives: OK
- desktop file for GUI apps: OK
- do not own already owned files or dirs: OK
- %install cleans buildroot first: OK
- all filenames are UTF-8: OK

SHOULD:
- license text file: OK
- description and summary translations: OK
- package builds in mock: OK (tested for i386 F-8 only)
- builds on all supported architectures: did not check
- package functions as described: did not check
- sane scriptlets: OK
- subpackages require main package: OK
- pkgconfig file placement: OK
- file dependencies: OK

Summary:
1. MUST fix the gcj directory ownership issue.
2. PLEASE consider ChangeLog.txt for %doc.
3. PLEASE consider shortening the javadoc path as described above.
Comment 4 Jerry James 2008-05-06 11:00:37 EDT
Indeed it does.

APPROVED
Comment 5 Caolan McNamara 2008-05-06 11:24:35 EDT
New Package CVS Request
=======================
Package Name: jcommon-serializer
Short Description: JFree Java General Serialization Framework
Owners: caolanm
Branches: 
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-05-06 12:26:12 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.